<?php
/**
* SimpleACL Component
* @version 1.0
* @package SimpleACL
* @copyright (C) 2007 by Alessandro Pasotti - All rights reserved!
* @license GNU AFFERO GENERAL PUBLIC LICENSE - AGPL V.3
**/



if( !@include_once( $mosConfig_absolute_path ."/administrator/components/com_simpleacl/language/$mosConfig_lang.messages.php" ) ) {
    include_once( $mosConfig_absolute_path ."/administrator/components/com_simpleacl/language/english.messages.php" );
}


class HTML_simpleacl {

  function showAbout() {
  ?>
      <table cellpadding="4" cellspacing="0" border="0" width="100%">
      <tr>
        <td width="100%">
          <a href="http://www.itopen.it"><img src="components/com_simpleacl/images/logo.png"></a>
        </td>
      </tr>
      <tr>
        <td>
          <?php echo _SACL_HELP ; ?>
        </td>
      </tr>
      <tr>
        <td>
            <h2><?php echo _SACL_LICENCE ; ?></h2>
        </td>
      </tr>
      <tr>
        <td>
          <textarea cols="80" rows="40">
          <?php echo file_get_contents(dirname(__FILE__) . '/agpl-3.0.txt') ; ?>
          </textarea>
        </td>
      </tr>
      </table>
  <?php
    }


############################################################################

  function editItem( $option, &$row, $lists) {
      global $mosConfig_absolute_path, $mosConfig_live_site;
      require($mosConfig_absolute_path."/administrator/components/com_simpleacl/config.simpleacl.php");

      mosCommonHTML::loadOverlib();

      ?>
    <script language="javascript" type="text/javascript">
    function submitbutton(pressbutton) {
      var form = document.adminForm;
      if (pressbutton == 'cancel') {
        submitform( pressbutton );
        return;
      }
      if(form.sectionid.value == "0"){
        alert('Please select a section from the list.');
        return;
      }
      if(form.userid.value == ""){
        alert('Please select a user from the list.');
        return;
      }
      submitform( pressbutton );
    }
      </script>
    <table cellpadding="4" cellspacing="0" border="0" width="100%">
    <?php
        if($error = $_REQUEST['error']){
            ?>
            <div style="color:red"><h2>
            <?php
                if(defined($error)){
                    print constant($error);
                }
            ?>
            </h2></div>
            <?php
        }
    ?>
    <tr>
      <td width="100%"><span class="sectionname"><?php echo $row->id ? 'Edit' : 'Add';?> Simple ACL</span></td>
    </tr>
  </table>
    <table cellpadding="4" cellspacing="1" border="0" width="100%" class="adminform">
    <form action="index2.php" method="post" name="adminForm" id="adminForm">
      <tr>
        <td width="20%" align="right"><?php echo _SACL_USERNAME ?>:</td>
        <td width="80%">
          <?php echo $lists['users']; ?>
        </td>
      </tr>
     <tr>
        <td valign="top" align="right"><?php echo _SACL_SECTION ?>:</td>
        <td>
          <?php echo $lists['sections']; ?>
        </td>
      </tr>
     <tr>
<!--   <td colspan="2">
          <fieldset><legend>Policy</legend>
          <label for="policy_allow">Create new content items</label><input type="checkbox" name="action[]" value="a" checked="true" />
          <br />
          <label for="access_r">View content items</label><input type="checkbox" name="action[]" value="r" checked="true" />
          <br />
          <label for="access_u">Update content items</label><input type="checkbox" name="action[]" value="u" checked="true" />
          <br />
          <label for="access_d">Delete content items</label><input type="checkbox" name="action[]" value="d" checked="true" />
          </fieldset>
        </td>
      </tr>-->

   <td colspan="2">
          <fieldset><legend>Access rights</legend>
          <input type="checkbox" name="action[]" value="c" <?php if(strpos($row->action, 'c') !== false) echo 'checked="true"'; ?> /><label for="access_c"><?php echo _SACL_C_DESC ?></label>
          <br />
          <input type="checkbox" name="action[]" value="r" <?php if(strpos($row->action, 'r') !== false) echo 'checked="true"'; ?> /><label for="access_r"><?php echo _SACL_R_DESC ?></label>
          <br />
          <input type="checkbox" name="action[]" value="u" <?php if(strpos($row->action, 'u') !== false) echo 'checked="true"'; ?> /><label for="access_u"><?php echo _SACL_U_DESC ?></label>
          <br />
          <input type="checkbox" name="action[]" value="d" <?php if(strpos($row->action, 'd') !== false) echo 'checked="true"'; ?> /><label for="access_d"><?php echo _SACL_D_DESC ?></label>
          </fieldset>
        </td>
      </tr>

    </table>

    <input type="hidden" name="id" value="<?php echo $row->id; ?>" />
    <input type="hidden" name="option" value="<?php echo $option;?>" />
    <input type="hidden" name="task" value="newitem" />
    </form>
  <?php


    }

############################################################################

  function showItems( $option, &$rows, &$search, &$pageNav ) {
    global $mosConfig_live_site;

    $commentlenght = "40";

    # Table header
    ?>
    <table cellpadding="4" cellspacing="0" border="0" width="100%">
    <tr>
      <td width="100%"><span class="sectionname"><?php echo _SACL_LIST ?></span></td>
    </tr>
  </table>
    <form action="index2.php" method="post" name="adminForm">
    <table cellpadding="4" cellspacing="0" border="0" width="100%">
    <tr>
      <td nowrap="nowrap"><?php echo _SACL_DISPLAY ?></td>
      <td>
        <?php echo $pageNav->writeLimitBox(); ?>
      </td>
      <td><?php echo _SACL_SEARCH ?>:</td>
      <td>
        <input type="text" name="search" value="<?php echo $search;?>" class="inputbox" onChange="document.adminForm.submit();" />
      </td>
    </tr>
    </table>
    <table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist">
      <tr>
        <th width="2%" class="title"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $rows ); ?>);" /></th>
        <th class="title"><div align="left"><?php echo _SACL_USERNAME ?></div></th>
        <th class="title"><div align="left"><?php echo _SACL_SECTION; ?></div></th>
        <th class="title"><div align="left"><?php echo _SACL_RETRIEVE;?></div></th>
        <th class="title"><div align="left"><?php echo _SACL_CREATE; ?></div></th>
        <th class="title"><div align="left"><?php echo _SACL_UPDATE; ?></div></th>
        <th class="title"><div align="left"><?php echo _SACL_DELETE; ?></div></th>
      </tr>
      <?php
    $k = 0;
    for ($i=0, $n=count( $rows ); $i < $n; $i++) {
      $row = &$rows[$i];
      echo "<tr class='row$k'>";
      echo "<td width='2%'><input type='checkbox' id='cb$i' name='cid[]' value='$row->id' onclick='isChecked(this.checked);' /></td>";
      echo "<td align='left'><a href=\"index2.php?option=".$option."&task=edit&cid[]=".$row->id."\">$row->name</a></td>";

        ?>
        <td><?php echo $row->sectionname ?></td>
        <td><?php echo (strpos($row->action, 'r') !== false)? _SACL_YES :  _SACL_NO ;?></td>
        <td><?php echo (strpos($row->action, 'c') !== false)? _SACL_YES :  _SACL_NO ;?></td>
        <td><?php echo (strpos($row->action, 'u') !== false)? _SACL_YES :  _SACL_NO ;?></td>
        <td><?php echo (strpos($row->action, 'd') !== false)? _SACL_YES :  _SACL_NO ;?></td>
        </tr>
        <?php
       $k = 1 - $k; } ?>
    <tr>
      <th align="center" colspan="12">
        <?php echo $pageNav->writePagesLinks(); ?></th>
    </tr>
    <tr>
      <td align="center" colspan="7">
        <?php echo $pageNav->writePagesCounter(); ?></td>
    </tr>
  </table>
  <input type="hidden" name="option" value="<?php echo $option;?>" />
  <input type="hidden" name="task" value="" />
  <input type="hidden" name="boxchecked" value="0" />
  </form>
  <?php
  }

}

?>