<?php
/**
* SimpleACL Component
* @version 1.0
* @package SimpleACL
* @copyright (C) 2007 by Alessandro Pasotti - All rights reserved!
* @license Copyrighted Commercial Software
*/

define('_SACL_SECTION', 'Section');
define('_SACL_RETRIEVE','Read');
define('_SACL_CREATE',  'Insert');
define('_SACL_UPDATE',  'Update');
define('_SACL_DELETE',  'Delete');
define('_SACL_YES',     'Yes');
define('_SACL_NO',      'No');
define('_SACL_TCAPTION','Your access restrictions');
define('_SACL_NOACL',   'No ACL rules exists for this user.');
define('_SACL_C_DESC',  'Create new content items');
define('_SACL_R_DESC',  'View content items');
define('_SACL_U_DESC',  'Update content items');
define('_SACL_D_DESC',  'Delete content items');
define('_SACL_DISPLAY', 'Display #');
define('_SACL_SEARCH',  'Search');
define('_SACL_LIST',    'Simple ACL list');
define('_SACL_USERNAME','User name');
define('_SACL_HELP',    '<h2>Program SimpleACL</h2><p>SimpleACL allows you to restrict the actions certain users can perform through the front end on selected content items by section.</p>
<p>You can set a default policy (allow or deny) and then set per-user permissions for the content items in particular sections.</p>
<p>You can independently set permissions for<ul><li>Retrieve (view the content item)</li><li>Create (insert new content items)</li><li>Update (modify a content item)</li><li>Delete (delete a content item), note that this function is not yet fully implemented since the deletion of content items from the front-end is not yet supported</li></ul>
<h2>Notes</h2>
<p>Note that ACL specified here will not override default Joomla permission system, this means that if a user has not access to some content you will not able to grant access to this user. On the contrary, if the user has access to this content, you will be able to block this user to access the content for edit, insert, delete or view independently.</p>          <p>Depending on the default policy setting (allow or deny) you will be able to selectively grant or deny access permissions to individual users.</p><p>Only registered users (i.e. those who are logged in) are under ACL control. This means you cannot block unregistered user from particular sections with this component (use menu access levels instead).</p><p>Please note that users with level <strong>Administrator</strong> or <strong>Super Administrator</strong> will not be affected by Simple ACL.</p><h2>Warranty</h2><p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.<P>');
define('_SACL_LICENCE',  'Licence');
define('_SACL_DEF_POLICY', 'Default permissions');

?>